# ----------------------------------------------------------------------------
# Copyright (C) 2021-2022 runml_checks (https://www.runml_checks.com)
#
# This file is part of runml_checks.
# runml_checks is distributed under the terms of the GNU Affero General
# Public License (version 3 or later).
# You should have received a copy of the GNU Affero General Public License
# along with runml_checks.  If not, see <http://www.gnu.org/licenses/>.
# ----------------------------------------------------------------------------
#
"""Module containing all data distribution checks.

.. deprecated:: 0.7.0
        `runml_checks.tabular.checks.distribution is deprecated and will be removed in runml_checks 0.8 version.
        Use `runml_checks.tabular.checks.train_test_validation` instead.
"""
import warnings

from ..model_evaluation import TrainTestPredictionDrift
from ..train_test_validation import TrainTestFeatureDrift, TrainTestLabelDrift, WholeDatasetDrift

__all__ = [
    'TrainTestFeatureDrift',
    'WholeDatasetDrift',
    'TrainTestLabelDrift',
    'TrainTestPredictionDrift'
]

warnings.warn(
                'runml_checks.tabular.checks.distribution is deprecated. Use '
                'runml_checks.tabular.checks.train_test_validation instead.',
                DeprecationWarning
            )
